package com.docus.bgts.enums;

/**
 * 代码库
 */
public enum Codes {
    //接口成功
    SUCCESS("0", "成功"),
    //接口失败
    ERROR("1", "失败"),
    //web service返回根节点
    RESPONSE("100","Response"),
    //web service返回二级节点
    RET_INFO("101","RetInfo"),
    //web service 返回代码
    RET_CODE("102","RetCode"),
    //web service返回描述部分
    RET_CON("103","RetCon"),
    //web service 服务名
    EXTERNAL("9202","201_P_WS_JYBGTS"),
    //静态文件存放位置
    JSON_ADDRESS("999","\\dataConfig\\homeQualitySet.json"),
    //接收二级节点
    MSG("201","Msg"),
    //节点根
    DIRECTORY("1000","directory"),
    //上传接口地址
    UPLOAD("0","uploadConnector"),
    SMCODE ("5","手麻代码"),
    ZZCODE ("15","重症代码"),
    //xml地址
    REQUEST_XML("0","\\dataConfig\\RequestParams.xml"),
    //xml地址
    REQUEST_details_XML("0","\\dataConfig\\RequestDetailsParams.xml"),
    //患者主索引号
    EMP_ID("0","indexFlag"),
    //错误日志编号
    ERROR_CODE("500","12"),
    //接收三级节点
//    PAT_INFO("202","PatInfo"),
    //静态文件根元素名
    SELECT_COLUMNS("10000","selectColumns"),
    ;
    //代码
    private String code;
    //描述
    private String message;

    private Codes(String code, String messgae) {
        this.code = code;
        this.message = messgae;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
