package com.docus.bgts.web;


import com.docus.bgts.enums.Codes;
import com.docus.bgts.utils.FileUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import java.io.IOException;

//@WebFilter(filterName = "myFilter",urlPatterns = {"/*"})
public class MyFilter implements Filter {

    private Logger logger= LogManager.getLogger();


    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        logger.info("------拦截开始------");
        String collectorid = String.valueOf(FileUtils.getJsonByName("collectorid"));
        if(collectorid.equals(Codes.SMCODE.getCode())){
            logger.info("-----当前请求已被拦截...------");
        }else if(collectorid.equals(Codes.ZZCODE.getCode())){
            logger.info("-----当前请求已被拦截...------");
        }else {
            logger.info("----已放行----");
            filterChain.doFilter(servletRequest,servletResponse);
        }
    }

    @Override
    public void destroy() {

    }
}
