package com.docus.bgts.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 病案分类
 * </p>
 *
 * @author 曾文和
 * @since 2021-04-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ZdAssort对象", description="病案分类")
public class ZdAssort implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId
    @ApiModelProperty(value = "分类id")
    private String assortId;

    @ApiModelProperty(value = "分类名称")
    private String assortName;

    @ApiModelProperty(value = "分类排序")
    private Integer assortSort;

    @ApiModelProperty(value = "是否启用 1是，0否")
    private Integer effective;

    @ApiModelProperty(value = "是否校验 1是，0否")
    private Integer isCheck;

    @ApiModelProperty(value = "代码分类")
    private String assortCode;

    @ApiModelProperty(value = "等级")
    private Integer level;
}
