package com.docus.bgts.facade;
public interface IBgtsService {
    /**
     * 采集
     * @param empId
     */
    void collect(String empId) throws Exception;

    /**
     * 按需采集
     * @param emamNo
     * @param empId
     */
    void collectByExamNo(String emamNo, String empId) throws  Exception;

    /**
     * 根据时间批量按需采集
     * @param startDate
     * @param endDate
     */
    void collectByDate(String startDate,String endDate,String collectorId);

    /**
     * 全量采集
     */
    void collectAll();

    /**
     * 定时采集
     */
    void timerCollect();

    String test(String collectSubId);
}
